Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## fr.gouv.culture.sdx.utils.logging
Class LoggingUtils

    java.lang.Object
      fr.gouv.culture.sdx.utils.logging.LoggingUtils

    public class LoggingUtils

extends java.lang.Object

Constructor Summary
`LoggingUtils()`

Method Summary
`static void` | `logDebug(org.apache.avalon.framework.logger.Logger logger, int code, java.lang.String[] arguments)`
`static void` | `logDebug(org.apache.avalon.framework.logger.Logger logger, java.lang.String s)`
`static void` | `logDebug(org.apache.avalon.framework.logger.Logger logger, java.lang.String s, java.lang.Exception e)` Logs a debug message
`static void` | `logError(org.apache.avalon.framework.logger.Logger logger, int code, java.lang.String[] arguments)`
`static void` | `logError(org.apache.avalon.framework.logger.Logger logger, java.lang.String s)`
`static void` | `logError(org.apache.avalon.framework.logger.Logger logger, java.lang.String s, java.lang.Throwable e)` Logs an error
`static void` | `logException(org.apache.avalon.framework.logger.Logger logger, java.lang.Exception e)` Logs an exception
`static void` | `logInfo(org.apache.avalon.framework.logger.Logger logger, int code, java.lang.String[] arguments)`
`static void` | `logInfo(org.apache.avalon.framework.logger.Logger logger, java.lang.String s)` Logs an information message
`static void` | `logWarn(org.apache.avalon.framework.logger.Logger logger, int code, java.lang.String[] arguments)`
`static void` | `logWarn(org.apache.avalon.framework.logger.Logger logger, java.lang.String s)`
`static void` | `logWarn(org.apache.avalon.framework.logger.Logger logger, java.lang.String s, java.lang.Exception e)` Logs a warning message

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LoggingUtils

    public LoggingUtils()

Method Detail

### logInfo

    public static void logInfo(org.apache.avalon.framework.logger.Logger logger,
                               java.lang.String s)

  Logs an information message

  Parameters:
    `logger` - The super.getLog()
    `s` - The message

### logInfo

    public static void logInfo(org.apache.avalon.framework.logger.Logger logger,
                               int code,
                               java.lang.String[] arguments)

### logDebug

    public static void logDebug(org.apache.avalon.framework.logger.Logger logger,
                                java.lang.String s,
                                java.lang.Exception e)

  Logs a debug message

  Parameters:
    `logger` - The super.getLog()
    `s` - The message (maybe null)
    `e` - The exception (maybe null)

### logDebug

    public static void logDebug(org.apache.avalon.framework.logger.Logger logger,
                                java.lang.String s)

  See Also:
    `logDebug(Logger, String, Exception)`

### logDebug

    public static void logDebug(org.apache.avalon.framework.logger.Logger logger,
                                int code,
                                java.lang.String[] arguments)

### logError

    public static void logError(org.apache.avalon.framework.logger.Logger logger,
                                java.lang.String s,
                                java.lang.Throwable e)

  Logs an error

  Parameters:
    `logger` - The super.getLog()
    `s` - The message (maybe null)
    `e` - The exception (maybe null)

### logError

    public static void logError(org.apache.avalon.framework.logger.Logger logger,
                                java.lang.String s)

  See Also:
    `logError(Logger, String, Throwable)`

### logError

    public static void logError(org.apache.avalon.framework.logger.Logger logger,
                                int code,
                                java.lang.String[] arguments)

### logWarn

    public static void logWarn(org.apache.avalon.framework.logger.Logger logger,
                               java.lang.String s,
                               java.lang.Exception e)

  Logs a warning message

  Parameters:
    `logger` - The super.getLog()
    `s` - The message (maybe null)
    `e` - The exception (maybe null)

### logWarn

    public static void logWarn(org.apache.avalon.framework.logger.Logger logger,
                               int code,
                               java.lang.String[] arguments)

### logWarn

    public static void logWarn(org.apache.avalon.framework.logger.Logger logger,
                               java.lang.String s)

  See Also:
    `logWarn(Logger, String, Exception)`

### logException

    public static void logException(org.apache.avalon.framework.logger.Logger logger,
                                    java.lang.Exception e)

  Logs an exception

  Parameters:
    `logger` - The super.getLog()
    `e` - The exception (maybe null)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2010 Ministere de la culture et de la communication / AJLSM. All Rights Reserved.